Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • 20:04
    rlebeau commented #280
  • 20:04
    rlebeau commented #280
  • 20:02
    rlebeau commented #280
  • 20:02
    rlebeau commented #280
  • 20:01
    rlebeau commented #280
  • Jan 28 21:15
    vincentparrett commented #280
  • Jan 28 14:26
    silverqx commented #49
  • Jan 28 07:52
    rlebeau commented #280
  • Jan 28 01:45
    vincentparrett opened #280
  • Jan 27 21:11
    lainz commented #201
  • Jan 27 15:51
    ezurschmiede commented #201
  • Jan 27 15:51
    lainz commented #201
  • Jan 27 03:46
    rlebeau commented #274
  • Jan 22 21:29
    rlebeau commented #274
  • Jan 22 21:28
    rlebeau commented #203
  • Jan 22 21:20
    rlebeau commented #269
  • Jan 22 21:18
    rlebeau commented #269
  • Jan 22 12:25
    Daijobou commented #269
  • Jan 22 12:24
    Daijobou commented #269
  • Jan 22 00:21

    rlebeau on master

    Add Posix.Fcntl to uses list fo… Merge pull request #279 from Bi… (compare)

Kudzu
@czhower
Every power off was preceded immediately in the event log but an out of system ram caused by PHP and disabling PHP fixed all issues immediately.
Ludwig Behm
@lbehm
@czhower which php version are you using? And which forum system?
@mterwoord well than just restrict it? Nobody sane would give a mssql server all the memory, right?
Matthijs ter Woord
@mterwoord
Well, I personally don't believe PHP would cause this, but lets see....
Ludwig Behm
@lbehm
@mterwoord with a badly written php application and php with default settings any system could run out of memory - especially with an outdated php
@czhower Did you use phpBB?
Kudzu
@czhower
Yes it was PHPBB. And no matter how many times we kept upgrading it - new problems always came back. Its just too much of a liability.
Kudzu
@czhower
in short - even when keeping both PHP and PHPBB for the last 6+ years weve had it it has been nothing but problems.
Ludwig Behm
@lbehm
what did you expect? php in iis with mysql on win2k3? unpatched! btw: nobody designed that for windows environment!
Kudzu
@czhower
You aren't reading... we continually patched it... both PHP and PHPBB.... and it wasnt windows 2003.... Its Windows Server 2012.
Matthijs ter Woord
@mterwoord
chad, iirc it's 2008 r2
still patched
Kudzu
@czhower
Is it? Either way Windows and PHP an dPHPBB were patched...
Matthijs ter Woord
@mterwoord
yes, but point of @devimplode i think is tha win2k3 is unmaintained by ms..
Kudzu
@czhower
the latest one wasnt the latest PHPBB but even when we used to use latest revs - its been nothing but problems from teh get go.
Matthijs ter Woord
@mterwoord
(unless paying $)
Ludwig Behm
@lbehm
okok then I'm sorry. I think I mixed it up with a forum of embarcadero which I saw about 2 month ago. (I was annoyed because it was running php-5.2 on iis6)
Remy Lebeau
@rlebeau
@davidpn yeah, the IOHandler property is a weak reference on ARC, you need a strong reference to keep the object alive. When dynamically creating IOHandler objects, I usually just assign the connection as the Owner instead of nil.
are there any decent forum softwares worth migrating to that can import forum data from phpBB?
Ludwig Behm
@lbehm
did you use any additional plugins? any special modifications?
where do you want to go? .net? same host?
davidpn
@davidpn
thanks Remy
Remy Lebeau
@rlebeau
@czhower can you redirect forums2.atozed.com to a temp site that tells users why the site is down? or get PHP running and put it in read-only mode? Or something, so the users know that the site is intentionally down and not actually dead.
Remy Lebeau
@rlebeau
@czhower since you want to switch to a different forum solution, maybe we can do something like this to archive the current forum first: https://ibboard.co.uk/Programming/how-to-archive-phpbb.html
Kudzu
@czhower
yes... Remy my big issue now is time... Im still not fully functional after the surgery and Ive got such a huge backlog... Could you help with it?
Remy Lebeau
@rlebeau
@czhower I can't, because the php forum is down, and I don't have access to the server anyway.
Matthijs ter Woord
@mterwoord
@rlebeau Thats something we can probably fix (need to discuss with chad though)
@rlebeau so, assuming access is provided to you (in whatever form needed), you could help with moving?
Remy Lebeau
@rlebeau
@mterwoord I'm not sure I would be comfortable messing around with the server, I was just tossing out ideas. Do you even know what new forum software you want to migrate to? Maybe the existing PHPBB content can actually be moved into the new system, instead of just archiving a static backup copy of it.
Matthijs ter Woord
@mterwoord
@czhower has to answer that one....
Kudzu
@czhower
sorry Remy for late reply. was in hospital. catching up now... there are some .net based phpbb types and some can import from phpbb.. maybe look at those?
Kudzu
@czhower
and if you can narrow it down to a short list we can pick one
Remy Lebeau
@rlebeau
ok
davidpn
@davidpn
wishing you a speedy recovery, @czhower
Kudzu
@czhower
thanks
Nick Hodges
@NickHodges_twitter
Hey.
I have an Indy question if I may.
If you set the SSL version to SSLv12, will it automatically allow for downgrades to 1.1 and 1.0?
Or do you have to include those values in the set if you want them included?
Nick Hodges
@NickHodges_twitter
The reason I ask is that I'm seeing some strange behavior with regard to the SSLOptions.Methods property.
Remy Lebeau
@rlebeau
Hi Nick. There is no SSLv12, I assume you mean sslvTLS1_2. instead. No, enabling TLS 1.1 by itself will not perform a downgrade, you need to enable the other versions in the Set.
Use SSLOptions.SSLVersions to enable desired versions, the SSLOptions.Method will be updated accordingly (and vice versa). When multiple versions are enabled, the ssl23 method is used so version negotiation can be performed with the peer dynamically.
Remy Lebeau
@rlebeau
what kind of behavior are you seeing?
Nick Hodges
@NickHodges_twitter
I'm seeing our server only accetp V1.0 connections. I use fiddler, and if I tell fiddler to only send v1.1 and v1.2 connections, the server (Indy-based) obviously, will reject it, despite all three types put in the Methods property as a set. The server accepts teh connection if I add v1.0 to Fiddler.
Thanks for your assistance, BTW. Very much appreciated.
Nick Hodges
@NickHodges_twitter
Never mind. I figured out that I was loading an old version of ssleay32.dll that apparently didn't support 1.1 and 1.2.
Remy Lebeau
@rlebeau
Ok then
Wil32
@Wil32
has anyone figure out how to make the new requirement 'ipv6' work from apple(ios)
Remy Lebeau
@rlebeau
Indy has supported IPv6 for several years now. It defaults to IPv4 (there are IdIPv4 and IdIPv6 defines in IdCompilerDefines.inc to specify the default), but most Indy components have an IPVersion property that you can set to Id_IPv6 at runtime if needed, and then you can use IPv6 addresses and IPv6 hostname lookups as needed. In Delphi 10.1 Berlin, Embarcadero even compiled the bundled version of Indy to default to IPv6 on iOS.
phy0292
@phy0292
谁能看懂中文?